%define upstream_name    Math-GMPf
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to the GMP library's floating point (mpf) functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.580.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: gmp-devel
BuildRequires: perl-devel
%description
A bigfloat module utilizing the Gnu MP (GMP) library.
Basically this module simply wraps all of the 'mpf'
floating point functions provided by that library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README V
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.520.0-3.mga10
+ Revision: 2088111
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.520.0-2.mga10
+ Revision: 2011371
- Rebuild for perl-5.38

* Mon Oct 23 2023 tv <tv> 0.520.0-1.mga10
+ Revision: 2000322
- update to 0.52

* Wed Aug 30 2023 tv <tv> 0.510.0-1.mga10
+ Revision: 1981099
- update to 0.51

* Thu Oct 27 2022 tv <tv> 0.490.0-1.mga9
+ Revision: 1899746
- update to 0.49

* Tue Jun 07 2022 umeabot <umeabot> 0.480.0-2.mga9
+ Revision: 1862076
- Rebuild for Perl 5.36

* Tue Apr 12 2022 tv <tv> 0.480.0-1.mga9
+ Revision: 1849007
- update to 0.48

* Fri Mar 18 2022 umeabot <umeabot> 0.470.0-2.mga9
+ Revision: 1797963
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 0.470.0-1.mga9
+ Revision: 1788395
- update to 0.47

* Sat Feb 12 2022 tv <tv> 0.460.0-1.mga9
+ Revision: 1773191
- update to 0.46

* Mon Nov 15 2021 tv <tv> 0.450.0-1.mga9
+ Revision: 1756720
- update to 0.45

* Mon May 24 2021 umeabot <umeabot> 0.440.0-2.mga9
+ Revision: 1726869
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.440.0-1.mga9
+ Revision: 1691355
- update to 0.44

* Wed Jun 17 2020 umeabot <umeabot> 0.430.0-7.mga8
+ Revision: 1594915
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.430.0-6.mga8
+ Revision: 1529831
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.430.0-5.mga8
+ Revision: 1433828
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.430.0-4.mga7
+ Revision: 1293429
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.430.0-3.mga7
+ Revision: 1249527
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.430.0-2.mga7
+ Revision: 1165333
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.430.0-1.mga7
+ Revision: 1159484
- update to 0.43

* Thu Aug 31 2017 pterjan <pterjan> 0.410.0-4.mga7
+ Revision: 1149072
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.410.0-3.mga7
+ Revision: 1126594
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-2.mga6
+ Revision: 1029634
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.410.0-1.mga6
+ Revision: 919584
- New version 0.41

* Thu Jun 25 2015 shlomif <shlomif> 0.390.0-2.mga6
+ Revision: 842863
- Rebuild for the new perl-5.22.0

* Sat Jun 20 2015 shlomif <shlomif> 0.390.0-1.mga6
+ Revision: 836830
- Add missing BR
- imported package perl-Math-GMPf


* Mon May 11 2015 cpan2dist 0.39-1mga
- initial mageia release, generated with cpan2dist
